> ## Documentation Index
> Fetch the complete documentation index at: https://developers.closebot.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get global leaderboard



## OpenAPI

````yaml https://megastream25-api.closebot.com/swagger/v1/swagger.json get /botMetric/leaderboard
openapi: 3.0.1
info:
  title: CloseBot API
  version: v1
servers:
  - url: https://api.closebot.com
    description: CloseBot API Endpoint
security:
  - Key: []
paths:
  /botMetric/leaderboard:
    get:
      tags:
        - BotMetric
      summary: Get global leaderboard
      parameters:
        - name: metric
          in: query
          description: 'The metric to get. Valid options: responses, bookings, contacts.'
          style: form
          schema:
            type: string
        - name: start
          in: query
          description: The start date.
          style: form
          schema:
            type: string
            format: date-time
        - name: end
          in: query
          description: The end date.
          style: form
          schema:
            type: string
            format: date-time
        - name: numTopLeaders
          in: query
          description: The number of top leaders to return.
          style: form
          schema:
            type: integer
            format: int32
      responses:
        '200':
          description: Success
          content:
            text/plain:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/LeaderboardResponse'
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/LeaderboardResponse'
            text/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/LeaderboardResponse'
components:
  schemas:
    LeaderboardResponse:
      type: object
      properties:
        agencyName:
          type: string
          description: The name of the agency
          nullable: true
        count:
          type: integer
          description: The number of the metric
          format: int32
      additionalProperties: false
  securitySchemes:
    Key:
      type: apiKey
      description: CloseBot API Key Authorization
      name: X-CB-KEY
      in: header

````